<template>
  <div>
    <CInputRadio
      v-for="(item, index) in list"
      :key="index"
      :name="name"
      :label="item.name"
      :value="item.id"
      custom
      :inline="inline"
      :checked="item.id === value"
      @update:checked="(value, $event) => setChecked(value, $event, item)"
    />
  </div>
</template>

<script>
export default {
  name: 'AppRadioGroup',

  props: {
    /**
     * Data list
     */
    list: {
      type: Array,
      default: () => []
    },

    /**
     * V-model value
     */
    value: {
      type: Number,
      default: 0
    },

    /**
     * Inout name
     */
    name: {
      type: String,
      default: 'radio'
    },

    /**
     * Inline
     */
    inline: {
      type: Boolean,
      default: true
    }
  },

  methods: {
    /**
     * V-model event
     * @param {Boolean} state
     * @param {Object} event
     * @param {Object} item
     */
    setChecked (state, event, item) {
      this.$emit('input', parseInt(event.target.value))
    }
  }
}
</script>
